'''
Created on April 2011 for Pyweek
@author: Martin Villalba (aka akira44)
'''

import pygame
import os
import Coworkers
import Tasks
import Stuff

class Fax(Coworkers.Coworkers):
    """Third kind of coworker: a fax
    When bumped into, it gives a piece of paper.
    Boy, you'll hate this one..."""
    
    def __init__(self):
        self.work_counter = 0
        pygame.sprite.Sprite.__init__(self)
        dir = os.path.abspath('data/fax')
        self.frames, self.numframes, self.rect = self.load_frames(dir)
        self.image = self.frames[0]
        self.frame = 0
        self.framecounter = 0
        self.mytask = Tasks.Tasks.FAX
        dir = os.path.abspath('data/sounds/fax.wav')
        self.sound = Stuff.load_sound(dir)