'''
Created on April 2011 for Pyweek
@author: Martin Villalba (aka akira44)
'''

import pygame
#import Stuff
import Coworkers
#import Globals
import Tasks
import os
import Stuff

class Lamp(Coworkers.Coworkers):
    """Another coworker: a lamp
    This coworker does nothing except staying in your way"""
    
    def __init__(self):
        pygame.sprite.Sprite.__init__(self)
        #self.image, self.rect = Stuff.load_image('data/wall.png', -1)
        dir = os.path.abspath('data/lamp')
        self.frames, self.numframes, self.rect = self.load_frames(dir)
        self.image = self.frames[0]
        dir = os.path.abspath('data/sounds/thump.wav')
        self.sound = Stuff.load_sound(dir)


    def set_status(self, x, y):
        self.pos = [x,y]
        self.rect.x = x * 60
        self.rect.bottom = (y+1) * 60

    def work_dammit(self):
        self.action = self.STILL
        return Tasks.Tasks.NONE 

    def update(self):
        pass
    
    def change_broken_status(self, status):
        """Does nothing"""
        pass
    
    def get_broken_status(self):
        """Returns the status of a lamp"""
        return False
