'''
Created on April 2011 for Pyweek
@author: Martin Villalba (aka akira44)
'''

import pygame
import os
import Coworkers
import Tasks
import Stuff

class Telephone(Coworkers.Coworkers):
    """Fifth kind of coworker: a fax
    When bumped into, it receives a call.
    (yeah, I don't get it either)"""
    
    def __init__(self):
        self.work_counter = 0
        pygame.sprite.Sprite.__init__(self)
        dir = os.path.abspath('data/telephone')
        self.frames, self.numframes, self.rect = self.load_frames(dir)
        self.image = self.frames[0]
        self.frame = 0
        self.framecounter = 0
        self.mytask = Tasks.Tasks.TELEPHONE
        dir = os.path.abspath('data/sounds/telephone.wav')
        self.sound = Stuff.load_sound(dir)