'''
Created on April 2011 for Pyweek
@author: Martin Villalba (aka akira44)
'''

import pygame
import os
import Coworkers
import Tasks
import Stuff

class Coffee(Coworkers.Coworkers):
    """Fourth kind of coworker: coffee!
    When bumped into, it raises you caffeine level"""
    
    def __init__(self):
        self.work_counter = 0
        pygame.sprite.Sprite.__init__(self)
        dir = os.path.abspath('data/coffee')
        self.frames, self.numframes, self.rect = self.load_frames(dir)
        self.image = self.frames[0]
        self.frame = 0
        self.framecounter = 0
        self.mytask = Tasks.Tasks.COFFEE
        # This sound won't play. Oh, well
        dir = os.path.abspath('data/sounds/coffee.wav')
        self.sound = Stuff.load_sound(dir)
    
    """def work_dammit(self)
        ret = Tasks.Tasks.NONE
        if(self.work_counter==0):
            ret = Tasks.Tasks.COFFEE
            self.work_counter += 1
        return ret"""